
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP的AJAX技术实现文件异步上传 / iVAN</title>

    <meta name="description" content="PHP的AJAX技术实现文件异步上传 异步的文件上传是在现代的AJAX实现的Web应用里面经常要遇到,必须解决的问题.但是标准的AJAX类(XmlHttpRequest)无法实现传输文件的功能.因此,这里讨论的内容就是如何在AJAX的技术的基础之上构建异步的文件上传功能.在这个功能当中需要使用到内置的框及(IFRAME)来传输文件.这个功能实现的效果是页面在上传文件的时候,用户还可以使用该页面并且填写文件描述. 这个例子是我们引用AJAX的经典案例进行分析的. 系统环境 · 较新版本的浏览器.例如Opera,Firefox或者 In">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP的AJAX技术实现文件异步上传</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>异步的文件上传是在现代的AJAX实现的Web应用里面经常要遇到，必须解决的问题。但是标准的AJAX类（XmlHttpRequest）无法实现传输文件的功能。因此，这里讨论的内容就是如何在AJAX的技术的基础之上构建异步的文件上传功能。在这个功能当中需要使用到内置的框及（IFRAME）来传输文件。这个功能实现的效果是页面在上传文件的时候，用户还可以使用该页面并且填写文件描述。</p>
<p>　　这个例子是我们引用AJAX的经典案例进行分析的。</p>
<p>　　系统环境</p>
<p>　　· 较新版本的浏览器。例如Opera，Firefox或者 Internet Explorer。</p>
<p>　　· PHP 4.3.0 或更高版本</p>
<p>　　· PHP 5 版本</p>
<p>　　· PHP 中的 'short_open_tag' 选项开启(否则会发生解析错误)。</p>
<p>　　功能分析</p>
<p>　　通过内置的IFRAME（框架）进行文件上传。具备包括三个部分组成。</p>
<p>　　· 在页面中间有一个简单的＜form...表单，表单只包含了＜input type="file" ... ＞控件。这个表单的目标链接就是一个隐藏得IFRAME(通过 CSS的风格" display: none;"实现)并且表单里面唯一一个控件的OnChange事件用来触发JavaScript函数。这个函数的作用是检查用户提交的扩展名，然后提交表单。</p>
<p>　　· 在服务器端用PHP编写了一个处理过程（用FILEFRAME坐注释了）。这个处理过程用来把从客户端上传的文件进行检查后保存在服务器，并且通过Javascript代码的形式返回给用户。返回给用户的Javascript脚本通过"parent.window.document"更改了用户现在正在查看的页面，设置了文件的名称并启用了让用户提交表单的按钮。启用按钮的操作是通过getElementById函数实现的。</p>
<p>　　· 在主页面还有一个表单，它包含了用户提交的描述和隐藏的文件名。用户可以在文件上传的同时填写文件的描述。当文件上传结束以后，用户点击按钮，就可以看上传以后返回给用户的文件信息了。（通过返回来的文件名和用户输入的描述构成文件信息）。</p>
<p>　　可能你会说这么操作不符合常理：文件在用户确认之前就已经被提交了。如果用户没有提交的话，情况会如何呢。你可以自己在扩展处理被用户放弃的文件。</p>
<p>　　这个例子把文件存储在一个文件系统的目录下。你需要在脚本开始运行的时候配置下这个目录，具体的包含这个目录信息的变量是$upload_dir 和$web_upload_dir。这里有一个对目录是否可写的权限检查。</p>
<p>　　这里我们用到了以下几个PHP函数：</p>
<p>　　· move_uploaded_file - 转移一经上传到服务器的文件</p>
<p>　　· fopen - 打开文件</p>
<p>　　· fwrite - 把内容写入文件</p>
<p>　　· fclose - 关闭文件</p>
<p>　　· str_replace - 替换字符串</p>
<p>　　· filesize - 返回文件大小</p>
<p>　　· filemtime - 返回处理时间</p>
<p>　　你可以通过手册查到这些函数如果使用。请注意要把HTM(＜, ＞, &amp;)标记替换为(&amp;lt;, &amp;gt; 和 &amp;amp;).</p>
<p>　　源代码</p>
<p>＜?php<br />
$upload_dir = "/var/www/anyexample/aeu"; // 文件存储的路径<br />
$web_upload_dir = "/aeu"; // 文件在Web目录下的路径<br />
$tf = $upload_dir.'/'.md5(rand()).".test";<br />
$f = @fopen($tf, "w");<br />
if ($f == false) <br />
die("Fatal error! {$upload_dir} is not writable. Set 'chmod 777 {$upload_dir}'<br />
or something like this");<br />
fclose($f);<br />
unlink($tf);</p>
<p>//处理上传的文件<br />
if (isset($_POST['fileframe'])) <br />
{<br />
　$result = 'ERROR';<br />
　$result_msg = 'No FILE field found';</p>
<p>　if (isset($_FILES['file'])) // 从浏览器接受文件<br />
　{<br />
　　if ($_FILES['file']['error'] == UPLOAD_ERR_OK) // 没有错误<br />
　　{<br />
　　　$filename = $_FILES['file']['name']; // 文件名 <br />
　　　move_uploaded_file($_FILES['file']['tmp_name'], $upload_dir.'/'.$filename);<br />
　　　// 处理的主过程-转移文件到 $upload_dir <br />
　　　$result = 'OK';<br />
　　}<br />
　　elseif ($_FILES['file']['error'] == UPLOAD_ERR_INI_SIZE)<br />
　　　$result_msg = 'The uploaded file exceeds the upload_max_filesize directive in php.ini';<br />
　　else <br />
　　　$result_msg = 'Unknown error';<br />
　}</p>
<p>　echo '＜html＞＜head＞＜title＞-＜/title＞＜/head＞＜body＞';<br />
　echo '＜script language="JavaScript" type="text/javascript"＞'."\n";<br />
　echo 'var parDoc = window.parent.document;';<br />
　'<br />
　if ($result == 'OK')<br />
　{<br />
　　echo 'parDoc.getElementById("upload_status").value = "file successfully uploaded";';<br />
　　echo 'parDoc.getElementById("filename").value = "'.$filename.'";';<br />
　　echo 'parDoc.getElementById("filenamei").value = "'.$filename.'";';<br />
　　echo 'parDoc.getElementById("upload_button").disabled = false;';<br />
　}<br />
　else<br />
　{<br />
　　echo 'parDoc.getElementById("upload_status").value = "ERROR: '.$result_msg.'";';<br />
　}</p>
<p>　echo "\n".'＜/script＞＜/body＞＜/html＞';<br />
　exit();<br />
}</p>
<p>function safehtml($s)<br />
{<br />
　$s=str_replace("&amp;", "&amp;amp;", $s);<br />
　$s=str_replace("＜", "&amp;lt;", $s);<br />
　$s=str_replace("＞", "&amp;gt;", $s);<br />
　$s=str_replace("'", "&amp;apos;", $s);<br />
　$s=str_replace("\"", "&amp;quot;", $s);<br />
　return $s;<br />
}</p>
<p>if (isset($_POST['description']))<br />
{<br />
　$filename = $_POST['filename'];<br />
　$size = filesize($upload_dir.'/'.$filename);<br />
　$date = date('r', filemtime($upload_dir.'/'.$filename));<br />
　$description = safehtml($_POST['description']);</p>
<p>　$html =＜＜＜END<br />
　＜html＞＜head＞＜title＞{$filename} [uploaded by IFRAME Async file uploader]＜/title＞＜/head＞<br />
　＜body＞<br />
　　＜h1＞{$filename}＜/h1＞<br />
　　＜p＞This is a file information page for your uploaded file. Bookmark it, or send to anyone...＜/p＞<br />
　　＜p＞Date: {$date}＜/p＞<br />
　　＜p＞Size: {$size} bytes＜/p＞<br />
　　＜p＞Description: <br />
　　＜pre＞{$description}＜/pre＞<br />
　　＜/p＞<br />
　　＜p＞＜a href="{$web_upload_dir}/{$filename}" style="font-size: large;"＞download file＜/a＞＜br＞<br />
　　＜a href="{$PHP_SELF}" style="font-size: small;"＞back to file uploading＜/a＞＜br＞<br />
　　＜a href="{$web_upload_dir}/upload-log.html" style="font-size: small;"＞upload-log＜/a＞＜/p＞<br />
　　＜br＞＜br＞Example by ＜a href="http://www.anyexample.com/"＞AnyExample＜/a＞<br />
　＜/body＞＜/html＞<br />
　END;<br />
　<br />
　$f = fopen($upload_dir.'/'.$filename.'-desc.html', "w");<br />
　fwrite($f, $html);<br />
　fclose($f);<br />
　$msg = "File {$filename} uploaded, <br />
　＜a href='{$web_upload_dir}/{$filename}-desc.html'＞see file information page＜/a＞";</p>
<p>　$f = fopen($upload_dir."/upload-log.html", "a");<br />
　fwrite($f, "＜p＞$msg＜/p＞\n");<br />
　fclose($f);</p>
<p>　setcookie('msg', $msg); <br />
　header("Location: http://".$_SERVER['HTTP_HOST'].$PHP_SELF); <br />
　exit(); <br />
}</p>
<p>if (isset($_COOKIE['msg']) &amp;&amp; $_COOKIE['msg'] != '') <br />
{ <br />
　if (get_magic_quotes_gpc()) <br />
　　$msg = stripslashes($_COOKIE['msg']); <br />
　else<br />
　　$msg = $_COOKIE['msg'];<br />
　　setcookie('msg', ''); <br />
} <br />
?＞<br />
＜!-- Beginning of main page --＞<br />
＜html＞＜head＞<br />
＜title＞IFRAME Async file uploader example＜/title＞<br />
＜/head＞<br />
＜body＞<br />
＜?php <br />
　if (isset($msg)) <br />
　　echo '＜p style="font-weight: bold;"＞'.$msg.'＜/p＞';<br />
?＞ <br />
＜h1＞Upload file:＜/h1＞<br />
＜p＞File will begin to upload just after selection. ＜/p＞<br />
＜p＞You may write file description, while you file is being uploaded.＜/p＞</p>
<p>＜form action="＜?=$PHP_SELF?＞" target="upload_iframe" method="post" enctype="multipart/form-data"＞<br />
　＜input type="hidden" name="fileframe" value="true"＞<br />
　＜!-- Target of the form is set to hidden iframe --＞<br />
　＜!-- From will send its post data to fileframe section of this PHP script (see above) --＞</p>
<p>　＜label for="file"＞text file uploader:＜/label＞＜br＞<br />
　＜!-- JavaScript is called by OnChange attribute --＞<br />
　＜input type="file" name="file" id="file" onChange="jsUpload(this)"＞<br />
＜/form＞<br />
＜script type="text/javascript"＞<br />
/* This function is called when user selects file in file dialog */<br />
function jsUpload(upload_field)<br />
{<br />
　// this is just an example of checking file extensions<br />
　// if you do not need extension checking, remove <br />
　// everything down to line<br />
　// upload_field.form.submit();<br />
　<br />
　var re_text = /\.txt|\.xml|\.zip/i;<br />
　var filename = upload_field.value;</p>
<p>　/* Checking file type */<br />
　if (filename.search(re_text) == -1)<br />
　{<br />
　　alert("File does not have text(txt, xml, zip) extension");<br />
　　upload_field.form.reset();<br />
　　return false;<br />
　}</p>
<p>　upload_field.form.submit();<br />
　document.getElementById('upload_status').value = "uploading file...";<br />
　upload_field.disabled = true;<br />
　return true;<br />
}<br />
＜/script＞<br />
＜iframe name="upload_iframe" style="width: 400px; height: 100px; display: none;"＞<br />
＜/iframe＞<br />
＜!-- For debugging purposes, it's often useful to remove<br />
"display: none" from style="" attribute --＞</p>
<p>＜br＞<br />
Upload status:＜br＞<br />
＜input type="text" name="upload_status" id="upload_status" <br />
value="not uploaded" size="64" disabled＞<br />
＜br＞＜br＞</p>
<p>File name:＜br＞<br />
＜input type="text" name="filenamei" id="filenamei" value="none" disabled＞</p>
<p>＜form action="＜?=$PHP_SELF?＞" method="POST"＞<br />
　＜!-- one field is "disabled" for displaying-only. Other, hidden one is for sending data --＞<br />
　＜input type="hidden" name="filename" id="filename"＞<br />
　＜br＞＜br＞</p>
<p>　＜label for="photo"＞File description:＜/label＞＜br＞<br />
　＜textarea rows="5" cols="50" name="description"＞＜/textarea＞</p>
<p>　＜br＞＜br＞<br />
　＜input type="submit" id="upload_button" value="save file" disabled＞<br />
＜/form＞<br />
＜br＞＜br＞<br />
＜a href="＜?=$web_upload_dir?＞/upload-log.html"＞upload-log＜/a＞<br />
＜br＞＜br＞＜br＞</p>
<p>Example by ＜a href="http://www.anyexample.com/"＞AnyExample＜/a＞<br />
＜/body＞<br />
＜/html＞<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9iLmdpZg==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 00:02:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP的AJAX技术实现文件异步上传的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlPKqM.html" rel="bookmark">基于PHP的AJAX技术实现文件异步上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|上传|异步 异步的文件上传是在现代的AJAX实现的Web应用里面经常要遇到,必须解决的问题.但是标准的AJAX类(XmlHttpRequest)无法实现传输文件的功能.因此,这里讨论的内容就是如何在AJAX的技术的基础之上构建异步的文件上传功能.在这个功能当中需要使用到内置的框及(IFRAME)来传输文件.这个功能实现的效果是页面在上传文件的时候,用户还可以使用该页面并且填写文件描述. 这个例子是我们引用AJAX的经典案例进行分析的. 系统环境 · 较新版本的浏览器.例如Opera,F			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnY1jZM.html" rel="bookmark">表单上传功能实现 ajax文件异步上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目中用户上传总是少不了的,下面就主要的列举一下表单上传和ajax上传!注意: context.Request.Files不适合对大文件进行操作,下面列举的主要对于小文件上传的处理! 资源下载: 一.jQuery官方下载地址:https://jquery.com/download/ 一.表单上传: html客户端部分: &lt;form action=&quot;upload.ashx&quot; method=&quot;post&quot; enctype=&quot;multipart/form-d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB6Lqz.html" rel="bookmark">ajax-Ajax文件异步上传问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Ajax文件异步上传问题 使用JQuery 进行异步上传文件,想点击&quot;提交&quot;后展示一个动画进度条(gif图片),提示&quot;正在上传中&quot;,请问这种效果怎么实现? 解决方案 参考:http://download.csdn.net/detail/lvyulin/1470311 解决方案二: 点击提交后,进入调用ajax异步上传的方法,创建一个div浮动窗口,并展示进度条 在ajax中的success:function(msg){}及error:function(ab			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlJvqb.html" rel="bookmark">HTML5实现图片文件异步上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:HTML5实现图片文件异步上传 利用HTML5的新特点做文件异步上传非常简单方便,本文主要展示JS部分,html结构.下面的代码并未使用第三发库,如果有参照,请注意一些未展现出来的代码片段.我这边的效果预览: 1.文件未选择 2.文件已选择 HTML代码部分: 思路:下面代码中我利用css的z-index属性将input=&quot;file&quot;标签隐藏在了id=btnSelect元素下面,通过触发a标签的点击后,弹出文件选择框.下面的masklayer用于点击确认按钮后的弹出层,避免用户重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwxo4M.html" rel="bookmark">上传图片-ajaxfileupload多文件异步上传 获取不到file</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ajaxfileupload多文件异步上传 获取不到file 今天用ajaxfileupload 上传图片,网上百度学习了半天 ,实现了一个图片的上传 ,成功了 . 同样的方法,同一个页面另外一个上传按钮却失败了. 跟踪了看 ,值都传到后台取到了: CommonsMultipartFile file = (CommonsMultipartFile) multipartRequest .getFile(imgName); imgName也是和页面的input type=file的id n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3WwKWb.html" rel="bookmark">jQuery多文件异步上传带进度条实例代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家展示下效果图: ///作者:柯锦 ///完成时间:2016.08.16 ///多文件异步上传带进度条 (function ($) { function bytesToSize(bytes) { if (bytes === 0) return '0 B'; var k = 1024, // or 1000 sizes = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'], i = Math.floor(Math.log(bytes)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6DWOp.html" rel="bookmark">百度多文件异步上传控件webuploader基本用法解析&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				双核浏览器下在chrome内核中使用uploadify总有302问题,也不知道如何修复,之所以喜欢360浏览器是因为帮客户控制渲染内核:  若页面需默认用极速核,增加标签:&lt;meta name=&quot;renderer&quot; content=&quot;webkit&quot;/&gt;  若页面需默认用ie兼容内核,增加标签:&lt;meta name=&quot;renderer&quot; content=&quot;ie-comp&quot;/&gt;  若页面需默认用ie标准内核			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9ze9r7z.html" rel="bookmark">利用ASP技术实现文件直接上传功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上传|上传 摘要: 本文首先比较了几种常见的文件上传技术,然后通过实例介绍了利用ASP技术直接实现文件上传的具体方法. 关键词:ASP:文件上传:二进制数据 引言 采用WEB技术实现B/S(浏览器/服务器)结构的管理系统是办公自动化的发展趋势.基于WEB技术的管理系统,由于开发周期短:与用户平台无关:易于实现交互式应用:能对信息进行快速.高效的收集.处理和发布,近几年来得到了迅速发展.而ASP技术由于其开发效率高.交互性好,安全性强等特点,逐渐成为开发管理系统的首选工具. 许多基于WEB的应用都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2nQoz.html" rel="bookmark">jquery文件上传插件：upload无刷新AJAX进度多文件批量上传示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.插件说明 在支持FormData的浏览器完全使用AJAX(即XMLHttpRequest)和input的files属性共同完成上传文件,否则就模拟表单提交来上传文件.支持写的文章和脚本现在看起来都比较稚嫩,现在重新整理.约束,更好的API和便捷使用方法. 插件名称:jquery-upload. 2.插件使用 // 1.判断浏览器支持特征 // 是否支持HTML5的input的files对象,用于同时选择上传多张图片 $.support.inputFiles; // 是否支持HTML5的For			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk5jyb.html" rel="bookmark" class="title">网页设计中排版与布局基础</a>
					<div>
						设计|网页|网页设计 有些人始终认为,网页最主要是内容,不需要再搞些门面上的东西,还拿出MUD来比喻.可是,红花还需要绿叶陪衬.想想,若MUD不只是单纯的文本,还有画面出来,那么,它所吸引的何止现在的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGP1eb.html" rel="bookmark" class="title">一步步编写PHP的Framework&lpar;六&rpar;</a>
					<div>
						  不知道大家注意到没有,之前我们导入一个配置文件是通过include CONFIGS_PATH . '/config.php'来做的,这样做好吗?        不忙回答,我可以提两个问题:     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Xv4p.html" rel="bookmark" class="title">试分析利为汇被K原因</a>
					<div>
						今天无意间搜索SEO时,发现利为汇不见了.要知道这个利为汇长时间地排在SEO搜索结果首页的第三.今天是怎么回事呢?接着SITE了他们的网址,发现没有记录.甚至久久的淘宝客被k,久久的广告公司的网站被k ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrBEjM.html" rel="bookmark" class="title">分享做SEO两年多的心得和体会</a>
					<div>
						做SEO不知不觉已经两年多了,时光荏苒,从中获得了很多:关于SEO技术的,关于SEO思维的,关于网站推广的,点点滴滴似乎越来越在脑海中成型,今天就把我对SEO的一点看法写出来,有关于技术方面的,也有关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvkQNp.html" rel="bookmark" class="title">C标准库参考指南（9）signal&period;h</a>
					<div>
						9. signal.h 头文件signal处理程序运行时产生的信号的方法. 宏: SIG_DFL SIG_ERR SIG_IGN SIGABRT SIGFPE SIGILL SIGINT SIGSEG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7E86M.html" rel="bookmark" class="title">Windows路由和NAT的配置</a>
					<div>
						实战目标: ü 能够在虚拟环境中配置和测试路由网络 ü 能够将Windows Server 2008启用路由功能 ü 能够在添加静态路由 ü 能够查看计算机的路由表 ü 能够在Windows路由器上配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ARE6p.html" rel="bookmark" class="title">dns知识介绍及总结</a>
					<div>
						几年前第一次接触到活动目录的时候,正是领导要求部署活动目录的时候.虽然当时手头上有几本书,但是时间紧迫没有来得及仔细研究.边看着帮助边运行dcpromo就开始活动目录的部署了,相信不少人和我当年差不多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyY6Gb.html" rel="bookmark" class="title">Android ApiDemos示例解析&lpar;41&rpar;：App-&amp;amp&semi;gt&semi;Service-&amp;amp&semi;gt&semi;Messenger Service</a>
					<div>
						前面LocalService 主要是提供同一Application中组件来使用,如果希望支持不同应用或进程使用Service.可以通过 Messenger.使用Messgener可以用来支持进程间通信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91ewgM.html" rel="bookmark" class="title">WPS演示中备注添加的两招</a>
					<div>
						  我们知道幻灯片经常使用在演讲稿或者课件上,而如果使用者准备演示文稿比较仓促,在演讲的时候常会遇到思路不清的情况.下面小编就为此问题,向大家介绍下WPS演示中添加备注的使用方法. 方法一: 首先打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7jj7M.html" rel="bookmark" class="title">新浪微博为何关注别人时需要输入验证码&quest;</a>
					<div>
						  系统检测到您的帐号存在异常,为了保障帐号安全,请您完成手机验证http://account.weibo.com/set/mobile,提升帐号安全等级.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN2yQM.html" rel="bookmark" class="title">Openbiz 技术开发手册之元数据简单表达式</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 元数据简单表达式 为了让元数据更加具有灵活性,可以在元数据文件中灵活的使用Openbiz简单表达式.如果一个语句具有{expr}模式,expr 将会被当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamKNXb.html" rel="bookmark" class="title">&lbrack;华为上机练习题&rsqb;7&period;删除字符串中出现次数最少的字符</a>
					<div>
						题目 描述: 实现删除字符串中出现次数最少的字符,若多个字符出现次数一样,则都删除.输出删除这些单词后的字符串,字符串中其它字符保持原来的顺序. 题目类别: 字符串 难度: 中级 运行时间限制: 10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWROWp.html" rel="bookmark" class="title">两表相应数据的hsql的更新语句</a>
					<div>
						问题描述 实体类A有id,name,age,class,grade四个属性实体类B有id,name,age,class,point四个属性如何通过hsql语句使得name相同.age相同.class相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZAWmz.html" rel="bookmark" class="title">编程c语言-写的c代码求帮忙找错误</a>
					<div>
						问题描述 写的c代码求帮忙找错误 #include #include #include #include #include extern &quot;C&quot; { WINBASEAPI HWND ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBXj0b.html" rel="bookmark" class="title">新手求助，田字布局和滚动条用什么组件？</a>
					<div>
						问题描述 如图,用什么组件最适合?我试过UniformGrid,很不理想. 解决方案 解决方案二:TableLayoutPanel解决方案三:好的,我试试!解决方案四:wpf没有这个控件!!!!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRn4Ab.html" rel="bookmark" class="title">c-&sol;&ast; &num; &ast;&sol;这样的注释行里&num;是什么意思</a>
					<div>
						问题描述 /* # */这样的注释行里#是什么意思 apue里看到的像这样的注释行#define NALLOC 10 /* # client structs to alloc/realloc for  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw801M.html" rel="bookmark" class="title">网络技术能否打造&OpenCurlyDoubleQuote;家庭医生&rdquo;</a>
					<div>
						朱慧卿/CFP 日前发布的&lt;中国老龄事业发展报告(2013)&gt;显示,2012年我国老年人口数量达1.94亿,预计2013年将达2.02亿.随着人口结构老龄化日益严重,老年人慢性病比例也不断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgERVmz.html" rel="bookmark" class="title">css常见问题解决方法小结&lowbar;经验交流</a>
					<div>
						1. 检查HTML元素是否有拼写错误.是否忘记结束标记  即使是老手也经常会弄错div的嵌套关系.可以用dreamweaver的验证功能检查一下有无错误.  2. 检查CSS是否正确  检查一下有无拼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlWPmp.html" rel="bookmark" class="title">Ajax读取数据之分页显示篇实现代码&lowbar;AJAX相关</a>
					<div>
						我觉得还是有必要把我的ajax分页呈现给大家．我先讲一下这个ajax分页的实现核心,然后我们再看实例效果．所谓的ajax分页与传统的数据分页,在服务端的代码基本上是一样的．我们主要做的是使用ajax在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEjgRp.html" rel="bookmark" class="title">mysql索引必须了解的几个重要问题&lowbar;Mysql</a>
					<div>
						本文讲述了mysql索引必须了解的几个重要问题.分享给大家供大家参考,具体如下: 1.索引是做什么的? 索引用于快速找出在某个列中有一特定值的行.不使用索引,MySQL必须从第1条记录开始然后读完整个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY386b.html" rel="bookmark" class="title">js实现首尾相连循环滚动效果</a>
					<div>
						用marquee实现首尾相连循环滚动效果(仅IE): 这里是要滚动的内容 用DIV+javascript实现首尾相连循环滚动效果(兼容firefox): 这里是要滚动的内容					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE7k3z.html" rel="bookmark" class="title">那些让你不爽的邮件退订流程</a>
					<div>
						在上网时碰到这两样事情是很不爽的:1. 浏览网页,不断提示你下载它的Fucking App.2. 试用产品后,觉得不满意,想要退订邮件却非得先登陆. 前者我的同事囧哥已经写过一篇文章了,而后者,Ev  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm1JPb.html" rel="bookmark" class="title">C&num;输出日历</a>
					<div>
						        用C#输出日历,此功能可用于Ajax方式列出计划日程相关的内容,由于是C#控制输出,可以方便加上自己需要的业务处理逻辑. 1.控制台输出: using System; namespac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAWORp.html" rel="bookmark" class="title">股市上&OpenCurlyDoubleQuote;绝对价格&rdquo;的货币幻觉现象</a>
					<div>
						⊙兴业全球基金 辛曌 &quot;货币幻觉&quot;是一个经济学术语,讨论的是通货膨胀效应导致的心理错觉,指当通货膨胀发生时,实际购买力在下降,货币已经不那么值钱了,但人们却因为心理错觉而无视这一事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NQZXp.html" rel="bookmark" class="title">WatchStor观察：为什么经济低迷难阻IT协同中心在2009年飞速扩张？</a>
					<div>
						  [WatchStor独家译文]在痛苦的经济衰退之中,i/o Data Centers of Scottsdale, Ariz.获得了5600万美元的风险,它成为这一正处于萌芽状态的市场中的一个榜样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWEkvM.html" rel="bookmark" class="title">速来抢礼品！爱国者618移动电源疯狂大放送</a>
					<div>
						618京东大促来临,又适逢巴西世界杯. 爱国者 移动电源联手京东开启了 一场巅峰盛宴,进行疯狂大 放送.送电脑!送电源!送电扇!抽奖!秒杀!大转盘!上演七天昼夜购物大趴! 6.16到6.22期间惊喜不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YrGmp.html" rel="bookmark" class="title">浅谈PHPWind与Discuz&excl;无形的竞争</a>
					<div>
						PHPWind 是一套采用 php+mysql数据库 方式运行并可生成 html 页面的全新且完善的强大系统. 我们希望作为一个开源.共享的软件,PHPWind 可以以其流畅的速度与高负载能力激起各位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqEQ5b.html" rel="bookmark" class="title">如果数据是煤炭石油，那么该如何对它进行高效开采？</a>
					<div>
						&quot;数据是新的石油吗?&quot; 在&lt;福布斯&gt;杂志2012年的一篇文章中,大数据的支持者曾这样问道. 到了2016年,随着深度学习的崛起--它可以说是大数据的&quot;表亲&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlW1XDb.html" rel="bookmark" class="title">曹操：网站定位精  以点带面再来发展</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 关于网站定位的问题曹操已经关注很久 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQayEGb.html" rel="bookmark" class="title">微博约架反思：语言暴力变现实拳头 不应提倡</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 曾几何时,网络还被人视为现实生活中 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
